Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.xml.dom
Class DomCDATA

    java.lang.Object
      |
      +--gnu.xml.dom.DomNode
            |
            +--gnu.xml.dom.DomCharacterData
                  |
                  +--gnu.xml.dom.DomText
                        |
                        +--gnu.xml.dom.DomCDATA

All Implemented Interfaces:
  CDATASection, CharacterData, java.lang.Cloneable, DocumentEvent, EventTarget, Node, NodeList, Text

public class DomCDATA
extends DomText
implements CDATASection

"CDATASection" implementation. This is a non-core DOM class, supporting the "XML" feature. CDATA sections are just ways to represent text using different delimeters.

You are strongly advised not to use CDATASection nodes. The advantage of having slightly prettier ways to print text that may have lots of embedded XML delimiters, such as "&" and "<", can be dwarfed by the cost of dealing with multiple kinds of text nodes in all your algorithms.

Version:
  $Date: 2001/11/20 04:53:46 $
Author:
  David Brownell

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` | `DomCDATA(Document owner, char[] buf, int off, int len)`
`protected` | `DomCDATA(Document owner, java.lang.String value)` Constructs a CDATA section node associated with the specified document and holding the specified data.

Method Summary
`java.lang.String` | `getNodeName()` DOM L1 Returns the string "#cdata-section".
`short` | `getNodeType()` DOM L1 Returns the constant CDATA_SECTION_NODE.

Methods inherited from class gnu.xml.dom.DomText
`splitText`

Methods inherited from class gnu.xml.dom.DomCharacterData
`appendData, deleteData, getChildNodes, getData, getLength, getNodeValue, insertData, replaceData, setData, setNodeValue, substringData`

Methods inherited from class gnu.xml.dom.DomNode
`addEventListener, appendChild, clone, cloneNode, compact, createEvent, dispatchEvent, getAttributes, getElementsByTagName, getElementsByTagNameNS, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isReadonly, isSupported, item, makeReadonly, nameAndTypeEquals, normalize, removeChild, removeEventListener, replaceChild, setPrefix, trimToSize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Text
`splitText`

Methods inherited from interface org.w3c.dom.CharacterData
`appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### DomCDATA

    protected DomCDATA(Document owner,
                       java.lang.String value)

  Constructs a CDATA section node associated with the specified document and holding the specified data.

  This constructor should only be invoked by a Document as part of its createCDATASection functionality, or through a subclass which is similarly used in a "Sub-DOM" style layer.

### DomCDATA

    protected DomCDATA(Document owner,
                       char[] buf,
                       int off,
                       int len)

Method Detail

### getNodeName

    public final java.lang.String getNodeName()

  DOM L1 Returns the string "#cdata-section".
  Specified by:
    `getNodeName` in interface `Node`
  Overrides:
    `getNodeName` in class `DomText`

### getNodeType

    public final short getNodeType()

  DOM L1 Returns the constant CDATA_SECTION_NODE.
  Specified by:
    `getNodeType` in interface `Node`
  Overrides:
    `getNodeType` in class `DomText`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.